org.firebirdsql.gds

## Class GDSExceptionHelper.GDSMessage

- java.lang.Object
- - org.firebirdsql.gds.GDSExceptionHelper.GDSMessage

- Enclosing class:
    GDSExceptionHelper

      public static final class GDSExceptionHelper.GDSMessage
      extends java.lang.Object

  This class wraps message template obtained from isc_error_msg.properties file and allows to set parameters to the message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDSExceptionHelper.GDSMessage(java.lang.String template)` Constructs an instance of GDSMessage for the specified template.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParamCount()` Returns the number of parameters for the message template.
    `void` | `setParameter(int position, java.lang.String text)` Sets the parameter value
    `void` | `setParameters(java.util.List<java.lang.String> messageParameters)` Sets the parameter values.
    `java.lang.String` | `toString()` Puts parameters into the template and return the obtained string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GDSExceptionHelper.GDSMessage

          public GDSExceptionHelper.GDSMessage(java.lang.String template)

      Constructs an instance of GDSMessage for the specified template.

  - ### Method Detail

    - #### getParamCount

          public int getParamCount()

      Returns the number of parameters for the message template.
      Returns:
        number of parameters.

    - #### setParameter

          public void setParameter(int position,
                          java.lang.String text)

      Sets the parameter value
      Parameters:
        `position` - the parameter number, 0 - first parameter.
        `text` - value of parameter

    - #### setParameters

          public void setParameters(java.util.List<java.lang.String> messageParameters)

      Sets the parameter values.

      Parameter values with an index value higher than the number of message arguments are added as extra parameters.

      Parameters:
        `messageParameters` - Message parameters

    - #### toString

          public java.lang.String toString()

      Puts parameters into the template and return the obtained string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation of the message.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.